---
schema_version: "1"
id: 4c972b2f3aa12874b67dba78cb356a14e37e94c2134363700c1b36438d7c6504
title: Get Segments in Marketing Cloud
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/guide/mc-manage-segments/mc-manage-segments-get/mc-manage-segments-get.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/guide/mc-manage-segments-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 72910822b0a23434a8c65b8b4a4b782d98aa02ffdaad76acb6dba1c94fe592cc
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
# Get Segments in Marketing Cloud

Retrieve a list of segments using the [Data 360 Segments](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/connect_resources_cdp_ssot_segments.htm) endpoint in Connect API.

## Prerequisite

Before you send a request to Connect API, obtain a bearer token. For more information, see [Connect to REST-based APIs](https://developer.salesforce.com/docs/marketing/mc-connect-apis/mc-connect-apis-rest.md).

## Send the Request

To retrieve a list of segments, send a GET request to the `/services/data/{apiVersion}/ssot/segments` endpoint. For additional information and code examples, see [getSegments](/docs/marketing/marketing-cloud-growth/references/mc-connect-segments?meta=getSegments).

```
GET /services/data/{apiVersion}/ssot/segments HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
```

If the request is successful, the response body contains a list of segments in your org.

```json
{
  "batchSize": 20,
  "offset": 0,
  "orderByExpression": "[Name asc]",
  "segments": [
    {
      "apiName": "Running_Shoe_Promo_Audience",
      "displayName": "Running Shoe Promo Audience",
      "marketSegmentDefinitionId": "3HX1Q000000HxyZWAS",
      "marketSegmentId": "1sg1Q000000HxyZQAS",
      "publishInterval": "NO_REFRESH",
      "publishStatus": "SUCCESS",
      "segmentMembershipTable": "Individual_Unified_SMH_1234567890123__dlm",
      "segmentOnId": "0gj1Q000000PQ3xYZG",
      "segmentStatus": "ACTIVE",
      "segmentType": "UI"
    },
    ...
  ]
}
```
